Package org.eclipse.net4j.util.container

# Class FileContainerPersistence<E>

java.lang.Object
org.eclipse.net4j.util.container.ContainerPersistence<E>
org.eclipse.net4j.util.container.FileContainerPersistence<E>

All Implemented Interfaces:
  `IContainer.Persistence<E>`

public class FileContainerPersistence<E> extends ContainerPersistence<E>

Since:
  3.5
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`FileContainerPersistence(File file)`

## Method Summary

Modifier and Type
Method
Description
`final File`
`getFile()`
`protected InputStream`
`openInputStream()`
`protected OutputStream`
`openOutputStream()`

### Methods inherited from class org.eclipse.net4j.util.container.ContainerPersistence

`loadElements, saveElements`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileContainerPersistence

public FileContainerPersistence(File file)

## Method Details

### getFile

public final File getFile()

### openInputStream

protected InputStream openInputStream() throws IOException

Specified by:
  `openInputStream` in class `ContainerPersistence<E>`
Throws:
  `IOException`

### openOutputStream

protected OutputStream openOutputStream() throws IOException

Specified by:
  `openOutputStream` in class `ContainerPersistence<E>`
Throws:
  `IOException`